﻿using System;
using System.Windows.Forms;
using Steema.TeeChart;
using Steema.TeeChart.Drawing;

namespace MoistureGraphCreator
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void BtnSettingsClick(object sender, EventArgs e)
        {
            tChart1.ShowEditor();
        }

        private void TChart1BeforeDrawSeries(object sender, Graphics3D g)
        {
            int sizeOfAxes = 10;
            int visibleAxes = 0;
            if (tChart1.Axes.Left.Visible)
                visibleAxes++;
            if (cbxIncludeLoop.Checked)
            {
                foreach (Axes axes in tChart1.Axes.Custom)
                    if (axes.Visible)
                        visibleAxes++;
            }
            tChart1.Panel.MarginLeft = sizeOfAxes*visibleAxes;
        }

        private void BtnRefreshClick(object sender, EventArgs e)
        {
            tChart1.Refresh();
        }
    }
}